Package ghidra.program.model.listing

# Interface DataTypeChangeSet

All Superinterfaces:
  `ChangeSet`

All Known Subinterfaces:
  `DataTypeArchiveChangeSet`, `ProgramChangeSet`, `TraceChangeSet`

All Known Implementing Classes:
  `DBTraceChangeSet`, `DBTraceProgramViewChangeSet`

public interface DataTypeChangeSet extends ChangeSet
Interface for a Data Type Change set. Objects that implements this interface track various change information on a data type manager.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `categoryAdded(long id)`
  adds the data type category id to the list of categories that have been added.
  `void`
  `categoryChanged(long id)`
  adds the data type category id to the list of categories that have changed.
  `void`
  `dataTypeAdded(long id)`
  Adds the data type ID to the list of added data types.
  `void`
  `dataTypeChanged(long id)`
  Adds the dataType ID to the list of changed data types.
  `long[]`
  `getCategoryAdditions()`
  returns the list of category IDs that have been added.
  `long[]`
  `getCategoryChanges()`
  returns the list of category IDs that have changed.
  `long[]`
  `getDataTypeAdditions()`
  returns a list of data type IDs that have been added.
  `long[]`
  `getDataTypeChanges()`
  returns a list of data type IDs that have changed.
  `long[]`
  `getSourceArchiveAdditions()`
  returns a list of data type source archive IDs that have been added.
  `long[]`
  `getSourceArchiveChanges()`
  returns a list of data type source archive IDs that have changed.
  `void`
  `sourceArchiveAdded(long id)`
  Adds the data type source archive ID to the list of added data type archive IDs.
  `void`
  `sourceArchiveChanged(long id)`
  Adds the data type source archive ID to the list of changed data type archive IDs.

- ## Method Details

  - ### dataTypeChanged

    void dataTypeChanged(long id)
    Adds the dataType ID to the list of changed data types.

  - ### dataTypeAdded

    void dataTypeAdded(long id)
    Adds the data type ID to the list of added data types.
    Parameters:
      `id` -

  - ### getDataTypeChanges

    long[] getDataTypeChanges()
    returns a list of data type IDs that have changed.

  - ### getDataTypeAdditions

    long[] getDataTypeAdditions()
    returns a list of data type IDs that have been added.

  - ### categoryChanged

    void categoryChanged(long id)
    adds the data type category id to the list of categories that have changed.

  - ### categoryAdded

    void categoryAdded(long id)
    adds the data type category id to the list of categories that have been added.

  - ### getCategoryChanges

    long[] getCategoryChanges()
    returns the list of category IDs that have changed.

  - ### getCategoryAdditions

    long[] getCategoryAdditions()
    returns the list of category IDs that have been added.

  - ### sourceArchiveChanged

    void sourceArchiveChanged(long id)
    Adds the data type source archive ID to the list of changed data type archive IDs.

  - ### sourceArchiveAdded

    void sourceArchiveAdded(long id)
    Adds the data type source archive ID to the list of added data type archive IDs.
    Parameters:
      `id` - the data type source archive ID

  - ### getSourceArchiveChanges

    long[] getSourceArchiveChanges()
    returns a list of data type source archive IDs that have changed.

  - ### getSourceArchiveAdditions

    long[] getSourceArchiveAdditions()
    returns a list of data type source archive IDs that have been added.